<main>
  <app-header></app-header>
  <div class="container">
    <app-add></app-add>

    <div class="content">
      <div class="title">
        <i class="icon-briefcase"></i>
        Transaction Details
      </div>

      <div id="detail">
        <div>
          <span>Amount</span>
          <strong>${{ transaction.amount }}</strong>
        </div>
        <div>
          <span>Date</span>
          <strong>{{ transaction.date }}</strong>
        </div>
        <div>
          <span>To account</span>
          <strong>{{ transaction.to }}</strong>
        </div>
        <div>
          <span>Status</span>
          <strong>{{ transaction.status | titlecase }}</strong>
        </div>
        <select
          #stat
          (change)="changeStatus(stat.value)"
          class="{{ transaction.status }}"
          [value]="transaction.status"
        >
          <option value="sent">Sent</option>
          <option value="recived">Recived</option>
          <option value="payed">Payed</option>
        </select>
      </div>

      <button [routerLink]="['/']">back</button>
    </div>
  </div>
</main>
